Bug 448204 - (pear-Net-DNS) Review Request: php-pear-Net-DNS - Resolver library used to communicate with a DNS server
Review Request: php-pear-Net-DNS - Resolver library used to communicate with ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 08:17 EDT by Steven Moix
Modified: 2014-01-21 08:49 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.0.0-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-31 21:46:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Moix 2008-05-24 08:17:02 EDT
Spec URL: http://www.alphatek.info/divers/php-pear-Net-DNS.spec
SRPM URL: http://www.alphatek.info/divers/php-pear-Net-DNS-1.0.0-1.fc9.src.rpm
Description: A PHP resolver library used to communicate with a name server to perform DNS queries, zone transfers, dynamic DNS updates, etc. Creates an object hierarchy from a DNS server response, which allows you to view all of the information given by the DNS server. It bypasses the system resolver library and communicates directly with the server.

It's my first package, I'm looking for a sponsor.
Comment 2 Remi Collet 2008-07-13 03:41:08 EDT
As agreed with, i take this review and will do steven spondoring
Comment 3 Remi Collet 2008-07-13 11:04:55 EDT
REVIEW :
* rpmlint :
W: no-documentation
* The package is named according to the Package Naming Guidelines.
* source files match upstream:
1cc082bec28189847083e2c42c2d9b2d  Net_DNS-1.0.0.tgz
* The spec file name match the base package
* The package must the PHP Packaging Guidelines
* License field in the package spec file match the actual license (PHP)
* license is open source-compatible.
* latest version is being packaged.
* The spec file is written in American English
* The spec file is legible
* build in mock (F-9, noarch)
* All build dependencies are listed in BuildRequires
* no locales
* no shared library files
* package own all directories that it creates
* Package don't own files or directories already owned by other packages
* no duplicate files
* Permissions on files are set properly
* %clean section
* package consistently use macros
* The package contain code
* no documentation
* no library
* no desktop file
* %install, start with rm -rf %{buildroot}
* All filenames are valid UTF-8
* scriptlets are sane
* Final Provides ok
php-pear(Net_DNS) = 1.0.0
php-pear-Net-DNS = 1.0.0-2.fc9.remi
* Final Requires ok
/usr/bin/pear  
php-mhash  
php-pear(PEAR)  


Should just change Remy to Remi in the changelog ;)

APPROVED

Please wait for you sponsoring before doing the CVS request.
Comment 4 Remi Collet 2008-07-13 11:09:28 EDT
Seems to work fine, with simple test case :

<?php
require ("Net/DNS.php");
$dns = new Net_DNS_Resolver();
echo "--- Status :\n" . $dns->string();
echo "\n--- Question :\n";
$res = $dns->search("www.fedoraproject.org");
if ($res) $res->display();
else echo "failed !\n";
?>
Comment 5 Steven Moix 2008-07-14 04:07:03 EDT
New Package CVS Request
=======================
Package Name: pear-Net-DNS
Short Description: A PHP resolver library used to communicate with a name servers.
Owners: moixs
Branches: F-9
InitialCC: moixs, remi
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-07-14 12:04:21 EDT
cvs done.
Comment 7 Steven Moix 2008-07-14 13:28:55 EDT
Sorry but I messed up, I used the alias instead of the real package name to
create the CVS access. Could you destroy pear-Net-DNS CVS and create the
following instead:

New Package CVS Request
=======================
Package Name: php-pear-Net-DNS
Short Description: A PHP resolver library used to communicate with a name servers.
Owners: moixs
Branches: F-9
InitialCC: moixs, remi
Cvsextras Commits: yes
Comment 8 Toshio Ernie Kuratomi 2008-07-14 16:06:33 EDT
cvs done.
Comment 9 Fedora Update System 2008-07-21 12:19:26 EDT
php-pear-Net-DNS-1.0.0-2.fc9 has been submitted as an update for Fedora 9
Comment 10 Fedora Update System 2008-07-23 03:12:18 EDT
php-pear-Net-DNS-1.0.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-Net-DNS'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6618
Comment 11 Fedora Update System 2008-07-31 21:46:39 EDT
php-pear-Net-DNS-1.0.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Remi Collet 2012-04-02 09:59:48 EDT
Taking ownership according to 
http://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Deprecated_Package

Package Change Request
======================
Package Name: php-pear-Net-DNS
Owners: remi
Comment 13 Gwyn Ciesla 2012-04-02 10:07:29 EDT
Unretired, take ownership.
Comment 14 Remi Collet 2014-01-18 08:10:42 EST
Package Change Request
======================
Package Name: php-pear-Net-DNS
New Branches: el6 epel7
Owners: remi
Comment 15 Gwyn Ciesla 2014-01-21 08:49:56 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.